Bug 85591 - AS2.1 wont boot from the EFI shell.
AS2.1 wont boot from the EFI shell.
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
ia64 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-03-04 14:25 EST by Michael Waite
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-07 11:18:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Waite 2003-03-04 14:25:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When the machine comes up to the EFI menu "FS0" is the hard drive with the
operating system on it. Normally you type "elilo" and then "linux" but there is
no "elilo" in the root directory of "FS0".
It is actually here:
[root@dhcp64-218 redhat]# pwd
[root@dhcp64-218 redhat]#

And the directory holds:
[root@dhcp64-218 redhat]# ls
elilo.conf                   initrd-2.4.18-e.25.5.img     vmlinuz-2.4.18-e.25.5
elilo.efi                    initrd-2.4.18-e.25.5smp.img  vmlinuz-2.4.18-e.25.5smp
initrd-2.4.18-e.25.4.img     vmlinuz-2.4.18-e.25.4
initrd-2.4.18-e.25.4smp.img  vmlinuz-2.4.18-e.25.4smp
[root@dhcp64-218 redhat]#

This is different than the other systems that I have used. Thus you get the "no
initrd found" when you try to type "elilo linux" from "FS0"

I would like to mention that the entry that gets added into the EFI boot menu
does seem to work correctly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Try to boot the OS from FS0
2.power cycle
3.Try booting from the entry that AS makes into the EFI boot menu........it
works only this way

Actual Results:  "no initrd found"

Expected Results:  The operating system should be able to boot from the root of
FS0 directly without having to "cd /boot/efi/efi/redhat".

Additional info:
Comment 1 Jeremy Katz 2003-03-07 11:18:18 EST
This is correct according to the EFI spec.  You need to cd to EFI/redhat before
running elilo so that you can correctly handle booting multiple OSes with their
own copy of elilo.

Note You need to log in before you can comment on or make changes to this bug.